Tape Libraries and Drives
cancel
Showing results for 
Search instead for 
Did you mean: 

TL891 can't update (downgrade) firmware

Luiz Eduardo
Occasional Contributor

TL891 can't update (downgrade) firmware

Can you guys help me, please?
We experience a problem with this kind of library (TL891DLX) and Arcserve 2000 (specifically: job requests another tape, but it doesn't can recognize the tape avaliable for it job).
After a long troubleshooting, the CA team tell us to "downgrade" the firmware of the library (drive and robotics), to a version that they believe is valid for the version of Arcserve.

The current situation:
Firmwares:
Robot = 0519
DLT = V086
The CA's request:
Robot = 2.31
DLT = 010F (is this correct? This version are valid?)

How can I have these versions? Can you please send me these files? I heard that there's a tool (different of TSMC) to do this service (LibCenter diagnostic tool, I think). How can I obtain this? Via TSMC I can't do this task (see the attachment). Or what the corresponding version on TSMC that can be use?

Is there another solutions?

Thank you in advanced. Any help will be welcome!

Luiz
1 REPLY
David Ruska
Honored Contributor

Re: TL891 can't update (downgrade) firmware

> The current situation:
> Firmwares:
> Robot = 0519
> DLT = V086
> The CA's request:
> Robot = 2.31
> DLT = 010F (is this correct? This version > are valid?)

The only robot firmware versions for the 891DLX were V519 and V525. The 2.31 firmware revision is for a TL895 (completely different library).

The V086 is current for the DLT8000. The "010F" is the hex string for V15 (don't ask how). You DON'T want to run V15. DLT drives can have an unreported write error with firmware
> I heard that there's a tool (different of TSMC) to do this service (LibCenter diagnostic tool, I think).

Libcenter is the serial port diagnostic software. I don't believe it's available from the hp external web. You can email ltt_team@hp.com, and they may be able to provide it for you.

> Via TSMC I can't do this task (see the attachment). Or what the corresponding version on TSMC that can be use?

I didn't see any attachment. No SCSI tool on windows can update the TL891 robot firmware, because it requires an I/O size >64K which can't be done on windows. LTT on linux or HP-UX can update the firmware, or use the serial port and LibCenter.
The journey IS the reward.